[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.SetFixedRows

Sets the value in the FixedRows property.

## Declaration

Source position: valedit.pas line 173

`protected procedure TValueListEditor.SetFixedRows(`
`const AValue: Integer`
`); override;`

## Arguments

`AValue` |  | New value for the property.

## Description

SetFixedRows is a procedure used to set the value in the FixedRows property. SetFixedRows is overridden in TValueListEditor to update the DisplayOptions for the control when the property value is changed.

AValue is the number of fixed rows to use for title captions in the control. No actions are performed in the method when AValue contains a value other than 0 or 1.

When AValue is 0, the value doColumnTitles is excluded from the DisplayOptions property. When AValue is 1, the value doColumnTitles is included in the DisplayOptions property.

Use TitleCaptions to set the title captions for columns at design-time. Use DisplayOptions to enable or disable title captions for the control.

## See also

TValueListEditor.DisplayOptions |  | Enables or disables display features and behaviors in the control.
TValueListEditor.TitleCaptions |  | Title captions used for columns in the control.
TCustomDrawGrid.FixedRows |  | Number of the fixed rows in the grid.